Package org.jboss.resteasy.plugins.providers.sse

## Class SseEventOutputImpl

- java.lang.Object
- - javax.ws.rs.core.GenericType<javax.ws.rs.sse.OutboundSseEvent>
  - - org.jboss.resteasy.plugins.providers.sse.SseEventOutputImpl

- All Implemented Interfaces:
    `AutoCloseable`, `javax.ws.rs.sse.SseEventSink`

      public class SseEventOutputImpl
      extends javax.ws.rs.core.GenericType<javax.ws.rs.sse.OutboundSseEvent>
      implements javax.ws.rs.sse.SseEventSink

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SseEventOutputImpl​(javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.sse.OutboundSseEvent> writer)` | Deprecated.
    `SseEventOutputImpl​(javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.sse.OutboundSseEvent> writer, ResteasyProviderFactory providerFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearContextData()` |
    `void` | `close()` |
    `protected void` | `close​(boolean flushBeforeClose)` |
    `boolean` | `equals​(Object o)` |
    `protected void` | `flushResponseToClient()` |
    `int` | `hashCode()` |
    `boolean` | `isClosed()` |
    `CompletionStage<?>` | `send​(javax.ws.rs.sse.OutboundSseEvent event)` |
    `protected CompletionStage<Void>` | `writeEvent​(javax.ws.rs.sse.OutboundSseEvent event)` |

    - ### Methods inherited from class javax.ws.rs.core.GenericType

      `forInstance, getRawType, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SseEventOutputImpl

          @Deprecated
          public SseEventOutputImpl​(javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.sse.OutboundSseEvent> writer)

      Deprecated.

    - #### SseEventOutputImpl

          public SseEventOutputImpl​(javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.sse.OutboundSseEvent> writer,
                                    ResteasyProviderFactory providerFactory)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `javax.ws.rs.sse.SseEventSink`

    - #### close

          protected void close​(boolean flushBeforeClose)

    - #### clearContextData

          public void clearContextData()

    - #### flushResponseToClient

          protected void flushResponseToClient()

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `javax.ws.rs.sse.SseEventSink`

    - #### send

          public CompletionStage<?> send​(javax.ws.rs.sse.OutboundSseEvent event)

      Specified by:
        `send` in interface `javax.ws.rs.sse.SseEventSink`

    - #### writeEvent

          protected CompletionStage<Void> writeEvent​(javax.ws.rs.sse.OutboundSseEvent event)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `javax.ws.rs.core.GenericType<javax.ws.rs.sse.OutboundSseEvent>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `javax.ws.rs.core.GenericType<javax.ws.rs.sse.OutboundSseEvent>`